﻿
@{
    ViewBag.Title = "Index";
    Layout =MVC.Shared.Views._ActivityLayout;
}
@section Scripts
{
    @Scripts.Render("~/bundles/anactivity")

    <script type="text/javascript">
        //setInterval("$('#contributors').load('Activity/GetAllActivity')", 5000);
    </script>
}

@*<h2>Index</h2>*@
<div ng-controller="activityController">
    <div class="w3-container">
        @*        <h2 align="center">مدیریت مشتری</h2>*@
        <h5 align="center" ng-show="loading">در حال واکشی داده ها...<i class="fa fa-spinner fa-spin fa-2x"></i></h5>

        @*<Office-form/>*@

        @*<a href="#"><i class="fa fa-2x fa-plus" ng-click="editOffice('new')"></i></a>*@
        @*<button class="w3-btn w3-green w3-ripple" ng-click="editOffice('new')">&#10010; ایجاد یک ورودی جدید</button>*@
        @*<button class="w3-btn w3-light-green w3-ripple" ng-click="editOffice('new')"><i class="glyphicon glyphicon-plus action-icon-form"></i> ایجاد یک ورودی جدید</button>*@
        <br />
        <br />
        <form>
            @*<label class="checkbox">
                    <input type="checkbox" ng-model="isVisible" ng-init="isVisible = false">چاپ با پیش نمایش
                </label>*@
            <div class="form-group">
                <div class="input-group">
                    <input type="text" class="form-control" placeholder="مورد جستجو را وارد کنید..." ng-model="query">
                    <div class="input-group-addon"><i class="fa fa-search w3-text-green action-icon-form"></i></div>
                </div>
            </div>
        </form>
        <div id="contributors">
            <table class="table table-striped table-hover table-responsive defultcursor">
                <thead>
                    <tr class="w3-light-blue">
                        @*<th>
                                <a href="#" ng-click="sortType = 'ID'; sortReverse = !sortReverse">
                                    کد
                                    <span ng-show="sortType == 'ID' && !sortReverse" class="fa fa-sort-down"></span>
                                    <span ng-show="sortType == 'ID' && sortReverse" class="fa fa-sort-up"></span>
                                </a>
                            </th>*@
                        <th ng-click="sort('UserFullName')">
                            نام کاربر
                            <span class="glyphicon sort-icon" ng-show="sortKey=='UserFullName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th ng-click="sort('ServiceFullName')">
                            نوع سرویس
                            <span class="glyphicon sort-icon" ng-show="sortKey=='ServiceFullName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th ng-click="sort('CustomPhone')">
                            موبایل
                            <span class="glyphicon sort-icon" ng-show="sortKey=='CustomPhone'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th ng-click="sort('CustomID')">
                            کد مشتری
                            <span class="glyphicon sort-icon" ng-show="sortKey=='CustomID'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th ng-click="sort('CustomFullName')">
                            نام مشتری
                            <span class="glyphicon sort-icon" ng-show="sortKey=='CustomFullName'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th ng-click="sort('Date')">
                            تاریخ
                            <span class="glyphicon sort-icon" ng-show="sortKey=='Date'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th ng-click="sort('Time')">
                            زمان
                            <span class="glyphicon sort-icon" ng-show="sortKey=='Time'" ng-class="{'glyphicon-chevron-up':reverse,'glyphicon-chevron-down':!reverse}"></span>
                        </th>
                        <th>فعالیت</th>
                    </tr>
                </thead>
                <tbody>
                    @*<tr class="defultcursor" ng-repeat="Office in Offices.slice(((currentPage-1)*itemsPerPage),
                        ((currentPage)*itemsPerPage)) | filter:myfilter  |orderBy:sortKey:reverse">*@
                    <tr dir-paginate="activity in activities | filter:query  | orderBy:sortKey:reverse | itemsPerPage:viewby">
                        @*<td>
                                {{activity.ID}}
                            </td>*@
                        <td style="width:15%">
                            {{activity.UserFullName}}
                        </td>
                        <td style="width:15%;font-weight:bold">
                            {{activity.ServiceFullName}}
                        </td>
                        <td style="width:7%">
                            {{activity.CustomPhone}}
                        </td>
                        <td style="width:7%">
                            {{activity.CustomID}}
                        </td>
                        <td style="width:12%">
                            {{activity.CustomFullName}}
                        </td>
                        <td style="width:7%">
                            {{activity.Date}}
                        </td>
                        <td style="width:7%">
                            {{activity.Time}}
                        </td>
                        <td style="width:15%">
                            <a href="#"><i class="fa fa-repeat fa-2x greencolor" ng-click="editActivityDone(activity.ID)"></i></a>
                            <a href="#"><i class="fa fa-undo fa-2x redcolor" ng-click="editActivityReject(activity.ID)"></i></a>
                            @*<a ng-if="isVisible == false" ng-click="editActivityDone(activity.ID)" ng-href="@Url.Content("~/Activity/PrintReport/"){{activity.ID}}"><i class="fa fa-print fa-2x bluecolor"></i></a>*@
                            @*<a ng-if="isVisible == true" ng-click="editActivityDone(activity.ID)" ng-href="@Url.Content("~/Activity/Report/"){{activity.ID}}" target="_blank"><i class="fa fa-recycle fa-2x bluecolor"></i></a>*@
                            @*<a ng-if="isVisible == true" ng-click="editActivityDone(activity.ID)" ng-href="@Url.Content("~/Activity/Print/"){{activity.ID}}" target="_blank"><i class="fa fa-recycle fa-2x bluecolor"></i></a>*@
                            <a ng-click="editActivityDone(activity.ID)" ng-href="@Url.Content("~/Activity/PrintPdf/"){{activity.ID}}" target="_blank"><i class="fa fa-recycle fa-2x bluecolor"></i></a>
                        </td>
                    </tr>
                </tbody>
            </table>
            <table class="table defultcursor">
                <tr>
                    <td width="30%">
                        <dir-pagination-controls max-size=maxSize
                                                 direction-links="true"
                                                 boundary-links="true">
                        </dir-pagination-controls>

                    </td>
                    <td width="25%">
                        <form role="form" class="form-inline">
                            <div class="form-group form-group-sm">
                                <label class="pagination">تعداد سطرهای قابل نمایش:</label>
                                <select class="form-control pagination" ng-model="viewby" ng-change="setItemsPerPage(viewby)" ng-options="item for item in viewByOption"></select>
                            </div>
                        </form>
                    </td>
                    <td width="15%">
                        <label class="pagination w3-text-brown">کل رکوردها: {{activities.length}}</label>
                    </td>
                    <td width="20%">
                        <label class="pagination w3-text-deep-purple">رکوردهای قابل نمایش: {{(activities|filter:query).length}}</label>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</div>